std::hash< thread::id > Struct Template Reference
Threads

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const thread::id &__id) const noexcept

## Detailed Description

### template<>
struct std::hash< thread::id >

std::hash specialization for thread::id.

Definition at line 222 of file thread.

The documentation for this struct was generated from the following file:

- thread